
_Display_Init:

;Stretch.c,53 :: 		void Display_Init()
;Stretch.c,55 :: 		TFT_Init_ILI9341_8bit(320, 240);
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	MOV	#240, W11
	MOV	#320, W10
	CALL	_TFT_Init_ILI9341_8bit
;Stretch.c,56 :: 		TFT_BLED = 1;
	BSET	LATD2_bit, BitPos(LATD2_bit+0)
;Stretch.c,57 :: 		TFT_Set_Pen(CL_WHITE, 1);
	MOV	#1, W11
	MOV	#65535, W10
	CALL	_TFT_Set_Pen
;Stretch.c,58 :: 		TFT_Set_Brush(1,CL_WHITE,0,0,0,0);
	CLR	W13
	CLR	W12
	MOV	#65535, W11
	MOV	#1, W10
	CLR	W0
	PUSH	W0
	CLR	W0
	PUSH	W0
	CALL	_TFT_Set_Brush
	SUB	#4, W15
;Stretch.c,59 :: 		TFT_Set_Font(TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
	CLR	W13
	CLR	W12
	MOV	#lo_addr(_TFT_defaultFont), W10
	MOV	#higher_addr(_TFT_defaultFont), W11
	CALL	_TFT_Set_Font
;Stretch.c,60 :: 		TFT_Fill_Screen(CL_WHITE);
	MOV	#65535, W10
	CALL	_TFT_Fill_Screen
;Stretch.c,61 :: 		TFT_Set_Pen(CL_Black, 1);
	MOV	#1, W11
	CLR	W10
	CALL	_TFT_Set_Pen
;Stretch.c,62 :: 		TFT_Line(20, 220, 300, 220);
	MOV	#220, W13
	MOV	#300, W12
	MOV	#220, W11
	MOV	#20, W10
	CALL	_TFT_Line
;Stretch.c,63 :: 		TFT_LIne(20,  46, 300,  46);
	MOV	#46, W13
	MOV	#300, W12
	MOV	#46, W11
	MOV	#20, W10
	CALL	_TFT_Line
;Stretch.c,64 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_RED, FO_HORIZONTAL);
	MOV	#___Lib_System_DefaultPage, W0
	CLR	W13
	MOV	#63488, W12
	MOV	#lo_addr(_HandelGothic_BT21x22_Regular), W10
	MOV	W0, W11
	CALL	_TFT_Set_Font
;Stretch.c,65 :: 		TFT_Write_Text("Stretch Click", 85, 14);
	MOV	#14, W12
	MOV	#85, W11
	MOV	#lo_addr(?lstr1_Stretch), W10
	CALL	_TFT_Write_Text
;Stretch.c,66 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL);
	MOV	#___Lib_System_DefaultPage, W0
	CLR	W13
	CLR	W12
	MOV	#lo_addr(_Verdana12x13_Regular), W10
	MOV	W0, W11
	CALL	_TFT_Set_Font
;Stretch.c,67 :: 		TFT_Write_Text("EasyPIC Fusion v7", 19, 223);
	MOV	#223, W12
	MOV	#19, W11
	MOV	#lo_addr(?lstr2_Stretch), W10
	CALL	_TFT_Write_Text
;Stretch.c,68 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_RED, FO_HORIZONTAL);
	MOV	#___Lib_System_DefaultPage, W0
	CLR	W13
	MOV	#63488, W12
	MOV	#lo_addr(_Verdana12x13_Regular), W10
	MOV	W0, W11
	CALL	_TFT_Set_Font
;Stretch.c,69 :: 		TFT_Write_Text("www.mikroe.com", 200, 223);
	MOV	#223, W12
	MOV	#200, W11
	MOV	#lo_addr(?lstr3_Stretch), W10
	CALL	_TFT_Write_Text
;Stretch.c,70 :: 		}
L_end_Display_Init:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _Display_Init

Stretch_readSensor:

;Stretch.c,76 :: 		static void readSensor()
;Stretch.c,78 :: 		adc_rd = ADC1_Get_Sample(8);               // Get ADC value from corresponding channel
	PUSH	W10
	MOV	#8, W10
	CALL	_ADC1_Get_Sample
	MOV	W0, Stretch_adc_rd
;Stretch.c,79 :: 		delay_ms(10);                              // Pause 10ms
	MOV	#13333, W7
L_Stretch_readSensor0:
	DEC	W7
	BRA NZ	L_Stretch_readSensor0
	NOP
;Stretch.c,80 :: 		}
L_end_readSensor:
	POP	W10
	RETURN
; end of Stretch_readSensor

Stretch_set_adc:

;Stretch.c,86 :: 		static void set_adc()
;Stretch.c,88 :: 		AD1PCFGL = 0xFFEF;          // Set RA8 as input
	MOV	#65519, W0
	MOV	WREG, AD1PCFGL
;Stretch.c,89 :: 		AD1PCFGH = 0xFFFF;          // All other pins are digital
	MOV	#65535, W0
	MOV	WREG, AD1PCFGH
;Stretch.c,90 :: 		ADC1_Init();                // Initialize ADC
	CALL	_ADC1_Init
;Stretch.c,91 :: 		Delay_ms(100);
	MOV	#3, W8
	MOV	#2261, W7
L_Stretch_set_adc2:
	DEC	W7
	BRA NZ	L_Stretch_set_adc2
	DEC	W8
	BRA NZ	L_Stretch_set_adc2
;Stretch.c,92 :: 		}
L_end_set_adc:
	RETURN
; end of Stretch_set_adc

_main:
	MOV	#2048, W15
	MOV	#6142, W0
	MOV	WREG, 32
	MOV	#1, W0
	MOV	WREG, 52
	MOV	#4, W0
	IOR	68

;Stretch.c,94 :: 		void main()
;Stretch.c,96 :: 		set_adc();                                                         // Set A/D register
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	CALL	Stretch_set_adc
;Stretch.c,97 :: 		Display_Init();                                                    // Initialize TFT
	CALL	_Display_Init
;Stretch.c,98 :: 		TFT_Set_Pen(CL_WHITE, 1);
	MOV	#1, W11
	MOV	#65535, W10
	CALL	_TFT_Set_Pen
;Stretch.c,99 :: 		TFT_Set_Font(&TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
	CLR	W13
	CLR	W12
	MOV	#lo_addr(_TFT_defaultFont), W10
	MOV	#higher_addr(_TFT_defaultFont), W11
	CALL	_TFT_Set_Font
;Stretch.c,100 :: 		while(1)
L_main4:
;Stretch.c,102 :: 		readSensor();                                                  // Read sensor
	CALL	Stretch_readSensor
;Stretch.c,103 :: 		TFT_Set_Font(&TFT_defaultFont, CL_WHITE, FO_HORIZONTAL);
	CLR	W13
	MOV	#65535, W12
	MOV	#lo_addr(_TFT_defaultFont), W10
	MOV	#higher_addr(_TFT_defaultFont), W11
	CALL	_TFT_Set_Font
;Stretch.c,104 :: 		TFT_Write_Text(txt, 140, 100);
	MOV	#100, W12
	MOV	#140, W11
	MOV	#lo_addr(Stretch_txt), W10
	CALL	_TFT_Write_Text
;Stretch.c,105 :: 		WordToStr(adc_rd,&txt);                                        // Conversion integer adc_rd to string txt
	MOV	#lo_addr(Stretch_txt), W11
	MOV	Stretch_adc_rd, W10
	CALL	_WordToStr
;Stretch.c,106 :: 		TFT_Set_Font(&TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);       // Display string on TFT
	CLR	W13
	CLR	W12
	MOV	#lo_addr(_TFT_defaultFont), W10
	MOV	#higher_addr(_TFT_defaultFont), W11
	CALL	_TFT_Set_Font
;Stretch.c,107 :: 		TFT_Write_Text(txt,140,100);                                   // Print txt value on TFT
	MOV	#100, W12
	MOV	#140, W11
	MOV	#lo_addr(Stretch_txt), W10
	CALL	_TFT_Write_Text
;Stretch.c,108 :: 		delay_ms(500);
	MOV	#11, W8
	MOV	#11309, W7
L_main6:
	DEC	W7
	BRA NZ	L_main6
	DEC	W8
	BRA NZ	L_main6
;Stretch.c,109 :: 		}
	GOTO	L_main4
;Stretch.c,110 :: 		}
L_end_main:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
L__main_end_loop:
	BRA	L__main_end_loop
; end of _main
